Skip to main content
GET
Fetch refund

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business to fetch refunds for.

refundId
string
required

The UUID of the refund to fetch.

Response

A refund represents a transaction that returns value to from a business to a customer. A specific payment can be refunded or a general refund can be applied to an invoice.

id
string<uuid>

Unique identifier for the refund.

external_id
string

Unique ID of the refund in your system for linking purposes. Idempotency key.

Example:

"31415926535"

refunded_amount
integer<int64>

Amount refunded to the customer in cents.

status
string

Status of the refund.

Example:

"PAID"

completed_at
string<date-time>

Time when the refund was completed.

is_dedicated
boolean

Whether this refund is dedicated or not. Dedicated refunds can only have one allocation and one payment.

Example:

true

allocations
object[]

Allocations associated with this refund.

payments
object[]

Payments associated with this refund.

payouts
object[]

Payouts associated with this refund.

transaction_tags
object[]
memo
string | null

Memo for any text you would like to associate with the refund (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the refund. Can be used to filter when listing refunds.